function [Fr_bin, str_Fr, Fr_dec] = Fr_dec2bin (dec)
Fr_bin = 0 ;
exp_power  = 0 ;
precision = 16 ;            
str_Fr = num2str (dec, precision) ;
if ~isempty ( findstr ( str_Fr, 'e') )
    exp_power = 0 ;
    [str_Fr_Bef_Exp, exp] = strtok ( str_Fr, 'e' );        
    [exp_power, ign ] = strtok ( exp, 'e' );        
    exp_power = abs ( str2num (exp_power) );
    if length (str_Fr_Bef_Exp) >= 2;
        str_Fr_Bef_Exp (2) = [];
    end
    if exp (2) == '-'           
        for k = 1 : exp_power - 1
            str_Fr_Init_Zeros(k) = '0';
        end
        str_Fr = strcat (  '0.', str_Fr_Init_Zeros, str_Fr_Bef_Exp ) ;
    elseif exp (2) == '+'       
        str_Fr = str_Fr_Bef_Exp ;
        if length ( str_Fr ) > exp_power + 1
            str_Fr ( end + 1 ) = str_Fr (end) ;
            for j = length (str_Fr) - 1  :  -1 :  ...
                    length (str_Fr) - (exp_power + 1) + 1
                str_Fr ( j ) = str_Fr (j-1) ;
            end
            str_Fr (exp_power + 2) = '.' ;
        end
        if length ( str_Fr ) < exp_power
            str_Fr = strcat ( str_Fr,  ...
                repmat ( ['0'], 1, exp_power - (length ( str_Fr ) - 1) ) ) ;
        end
    end
end
[bef_dec, Fr_dec] = strtok ( str_Fr, '.' ) ;
bef_bin = dec2bin ( str2num (bef_dec) ) ;
len_strFr = length (Fr_dec) ;
Fr_bin = '.' ;
Fr_dec_Current = str2num (Fr_dec) ;
for k = 1 : 16
    if Fr_dec_Current  >=  2^(-k)
        Fr_bin = strcat ( Fr_bin,  '1'  ) ;
        Fr_dec_Current = Fr_dec_Current - 2^-(k) ;
        if Fr_dec_Current <= 0    
            break ;
        end
    else
        Fr_bin = strcat ( Fr_bin,  '0'  ) ;
    end
    
end 
if length(Fr_bin) == 17  &  all ( Fr_bin == '.0000000000000000' )
    if Fr_dec_Current >= 2^-(17)
        Fr_bin = strcat ( Fr_bin,  '1'  );
        Fr_dec_Current = Fr_dec_Current - 2^-(17);
        if Fr_dec_Current  >=  2^(-18)
            Fr_bin = strcat (  Fr_bin, '1' );
        end
    else
        Fr_bin = strcat ( Fr_bin,  '0'  );
        Fr_dec_Current = Fr_dec_Current - 2^-(18);
        if Fr_dec_Current  >=  2^(-19)
            Fr_bin = strcat (  Fr_bin, '1' );
        end
    end
elseif Fr_dec_Current  >=  2^(-k-1)
    Fr_bin = strcat (  Fr_bin, '1' );
end
Fr_bin = strcat ( bef_bin, Fr_bin );



