epsilon0=8.854e-12;
q1 = 2e-10;
q2 = 4e-10;
[x y] = meshgrid(-0.25:0.025:0.25);
r1 = sqrt((x - 0.3).^2 + y.^2);
r2 = sqrt((x + 0.3).^2 + y.^2);
V = (1/(4*pi*epsilon0))*(q1./r1 + q2./r2);
meshc(x,y,V);
xlabel('x'); 
ylabel('y');
zlabel('z');




