Ns = 10^5; Tb = 1; Eb=1;
fc = 2/Tb; 
fs = 4*fc; N = fs/Tb; 
t = 0:1/fs:Ns*Tb;
d_d = round(rand(1, Ns));
b_t = zeros(1, length(t));
for i = 1:Ns
if d_d(i)
b_t((1:N)+N*(i-1)) = 1;
end
end
b_t=b_t*2-1;
s_t = b_t.*(sqrt(2*Eb)/sqrt(Tb)).*cos(2*pi*fc.*t);
n = 2^(nextpow2(length(b_t)));
df = fs/n;
f = (0:df:df*(n-1)) -fs/2;
S_F = fft(s_t, n)/fs;
semilogy(f, fftshift(abs(S_F)));
axis([0 4 1e-4 1e3]);
xlabel('Frequency');
title('Modulated PSK spectrum signal');



