s=tf('s') ;                                     
G_s=4*(s+2)/(s*(s+3)*(s+7));
sys=feedback(G_s,1);
t=0:0.1:100;
p_t=0.5*t.*t;
[y,t]=lsim(sys,p_t,t);
plot(t,y,'b-',t,p_t,'r-');
xlabel('Time(sec)');
ylabel('Amplitude');
title('Unity Feedback System: Parabolic function');
grid;
gtext('Input');
gtext('Output');
