Ns = 10^5; Tb = 1; Eb=1;
f0 = 4/Tb; f1 = 2/Tb; fs = 4*f0; N = fs/Tb; 
t = 0:1/fs:Ns*Tb;
d_d = round(rand(1, Ns));
b_t = zeros(1, length(t)); s_t = zeros(1, length(t));
for i = 1:Ns
if d_d(i)
s_t((1:N)+N*(i-1)) = (sqrt(2*Eb)/sqrt(Tb))*cos(2*pi*f1.*t(1:N));
else
s_t((1:N)+N*(i-1)) = (sqrt(2*Eb)/sqrt(Tb))*cos(2*pi*f0.*t(1:N));
end
end
n = 2^(nextpow2(length(b_t)));
df = fs/n; f = (0:df:df*(n-1)) -fs/2;
S_F = fft(s_t, n)/fs;
semilogy(f, fftshift(abs(S_F)));
axis([0 8 1e-4 1e3]);
xlabel('Frequency');
title('Modulated FSK spectrum signal');


